#if !defined(EC_GTK_SPLASH_H)
#define EC_GTK_SPLASH_H

#include <gtk/gtk.h>

/* construct splash screen */
extern void Ginterface_Splash_Init(void);

/* append a message to the splash screen */
extern void Ginterface_Splash_Append(gchar *mesg);

/* show splash screen and run program init */
extern void Ginterface_Splash_Show(void);

/* change progress bar text */
extern void Ginterface_Splash_Progress(gchar *mesg);

/* change progress bar value */
extern void Ginterface_Splash_Progress_Change(gdouble percent);

/* close the splash screen */
extern void Ginterface_Splash_Close(void);

#endif

/* EOF */

// vim:ts=3:expandtab
